Endpoint
Path parameters
Response
If a lineup has not been announced yet, the endpoint returns
404.Documentation Index
Fetch the complete documentation index at: /docs/llms.txt
Use this file to discover all available pages before exploring further.
Return confirmed match lineups, formations, starting XIs, and substitutes.
GET https://api.thestatsapi.com/api/football/matches/{match_id}/lineups
| Name | Type | Required | Description |
|---|---|---|---|
match_id | string | Yes | Match ID. Example: mt_838955483 |
{
"data": {
"match_id": "mt_838955483",
"confirmed": true,
"home": {
"id": "tm_0406",
"name": "Liverpool",
"formation": "4-3-3",
"starting_xi": [
{
"id": "pl_29627593",
"name": "Mohamed Salah",
"position": "F",
"jersey_number": 11
}
],
"substitutes": [
{
"id": "pl_7922290",
"name": "Darwin Nunez",
"position": "F",
"jersey_number": 9
}
]
},
"away": {
"id": "tm_1002",
"name": "Newcastle United",
"formation": "4-3-3",
"starting_xi": [
{
"id": "pl_4016958",
"name": "Alexander Isak",
"position": "F",
"jersey_number": 14
}
],
"substitutes": []
}
}
}
404.